body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    margin: 0;
    padding: 20px;
    background-color: #f4f7f6;
    box-sizing: border-box;
}

#background {
    background: #00000088;
    z-index: 3;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9;
}

#formcontainer {
    background: #ffffff;
    padding: 25px;
    border-radius: 12px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    width: 80%; 
    max-width: 30rem;
    box-sizing: border-box;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
}

#formcontainer h1 {
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: #23529c;
    text-align: center;
    background: #ffffff;
    font-size: 21px;
    font-weight: bold;
}

#formcontainer a {
    text-decoration: underline;
}

#DSGVOcheckbox {
    display: flex;
    justify-content: center; 
    align-items: center;     
    margin: 15px 0;          
}

input[type="text"] {
    width: 100%;
    padding: 14px; 
    margin: 10px 0;
    border: 1px solid #ccc;
    border-radius: 8px;
    box-sizing: border-box;
    font-size: 16px;
    transition: border-color 0.3s;
}

input[type="text"]:focus {
    border-color: #4CAF50;
    outline: none;
}

button {
    width: 100%;
    background-color: #156cf9;
    color: white;
    padding: 15px;      /* Fingerfreundlich */
    margin-top: 15px;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
    -webkit-tap-highlight-color: transparent; 
}

/* Handy optimierung */
@media (max-width: 480px) {
    #header h1 {
        font-size: 1.2rem;
    }
    #formcontainer {
        padding: 20px;
    }
}
